<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>3. 実習課題 &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" />
    <link rel="up" title="計算機実習 問題12-4 継続型ランダムウォーク" href="12-4.html" />
    <link rel="next" title="4. まとめ" href="conclusion.html" />
    <link rel="prev" title="2. 作成したプログラム" href="program.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="12-4.html" accesskey="U">計算機実習 問題12-4 継続型ランダムウォーク</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>3. 実習課題<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h1>
<ol class="loweralpha simple">
<li>&#8220;継続型&#8221;ランダムウォークでは、遷移、すなわち&#8221;ジャンプ&#8221;の確率が直前の履歴に依存する。1次元格子上のランダムウォークを考え、すでにN-1ステップ進んでいるとする。Nステップ目は確率 <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> で同じ方向に進み、確率 <img class="math" src="../_images/math/de6153ef1dccee84904f1dbac1e439589f70d375.png" alt="1-\alpha"/> で反対方向に進む。この1次元の継続型ランダムウォークのモンテカルロ・シミュレーションを行うプログラムを書け。そして、 <img class="math" src="../_images/math/cd355b441461cec3260e9ceb3c3c59ce4fde62ff.png" alt="&lt;x(N)&gt;,&lt;x^{2}(N)&gt;,&lt;\Delta x^{2}(N)&gt;,P(x,N)"/> を計算せよ。粒子の初期位置と初期の方向を設定する必要がある。この継続型ランダムウォークで <img class="math" src="../_images/math/41e87dc743b9de9dda37661008af592d67bc9773.png" alt="\alpha = 1/2"/> の極限はどうなるか。</li>
</ol>
<ul class="simple">
<li>上で示したプログラムを用いて、継続型の1次元ランダムウォークのシミュレーションを行った。図ref{fig:f1}に、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> と <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> 、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> のグラフを示した。このグラフから、 <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> は、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に依存せず、零となることが分かる。また、 <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> と <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> は <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に比例していて、その比例係数はおよそ <img class="math" src="../_images/math/7215a639faf906d01d34dfa7288c16be984c9629.png" alt="2.7"/> である。このとき注意することとして、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> が大きいとき、十分な精度で結果を得られるようにするためには、nwalkersの数を増やさければならないということである。したがって、この傾きを求めるときには <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> の比較的小さい部分での傾きに重みをつけたほうが良いことが分かる。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_15.pdf"><img alt="figure_1.pdf" src="../_images/figure_15.pdf" style="width: 12.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/2a9fbbb5d0f0aaff36608f745ad0216ba9ab7423.png" alt="\alpha=0.75"/> のとき、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> と <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> 、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> のグラフ}</p>
</div>
<p>次に、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> ステップの移動の後に粒子が位置 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> に見出される確率 <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> の計算を行い、 <img class="math" src="../_images/math/84c294650aa190182010911c0f2846ca6bd0b5fd.png" alt="N=400"/> とした時の <img class="math" src="../_images/math/826252e043e9c5da02ac4d69703fc733e7325418.png" alt="P(x,400)"/> のグラフを、横軸を <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> 、縦軸を確率 <img class="math" src="../_images/math/f48b617185733d8dd6712643f1ab17c736661a06.png" alt="P"/> としてプロットしたものを図ref{fig:f2}に示した。このグラフから、確率分布はガウス分布の定数倍の連続関数に従うと予想され(問題7.6による)、先ほどの図ref{fig:f1}の結果からも、Nが大きくなるほど、確率分布の裾の拡がりは <img class="math" src="../_images/math/3e28a65f556fb49f2c54a228b1661091cb177954.png" alt="\sqrt N"/> で大きくなることが分かる。このとき <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> が奇数の時の確率はいつも零であるが、これは <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> が偶数であることに起因するものであって、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> を奇数に取ると、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> ステップ後に偶数の <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> に到達する確率は零となる。また、この効果によって、確率分布がガウス分布を2倍の高さにしたものになっている、とも説明できる。</p>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_21.pdf"><img alt="figure_2.pdf" src="../_images/figure_21.pdf" style="width: 12.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/84c294650aa190182010911c0f2846ca6bd0b5fd.png" alt="N=400"/> のとき、 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> に対する <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> と <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> 、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> のグラフ}</p>
</div>
<p>また、この継続型ランダムウォークの <img class="math" src="../_images/math/bc222ef14ae09d78f84bc17c983b66e531f31dc1.png" alt="\alpha=0.5"/> の極限を考えたとすると、これは <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> ステップ目の遷移の確率が <img class="math" src="../_images/math/19f9ae9a7d789d9a8e661b478df966192038b540.png" alt="N-1"/> ステップ目の確率に依存しないことを意味するので、単純な1次元ランダムウォークで <img class="math" src="../_images/math/cb3c0f2c4c79d48324ced8cecfc59b16dbaa86a0.png" alt="p=q=0.5"/> とした時と等価になるはずである。実際に、作成したプログラムで <img class="math" src="../_images/math/bc222ef14ae09d78f84bc17c983b66e531f31dc1.png" alt="\alpha=0.5"/> とした時の <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> と <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> 、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> のグラフを作成し、これを図ref{fig:f3}に示したが、確かに単純なランダムウォークの分散について得られた関係</p>
<div class="math">
<p><img src="../_images/math/610e8a4dde5e763deb314a1d3ebb1129c9504a40.png" alt="&lt;\Delta x^{2}(N)&gt; = l^{2}N"/></p>
</div><p>を満たしていることが分かる。</p>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_31.pdf"><img alt="figure_3.pdf" src="../_images/figure_31.pdf" style="width: 12.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/bc222ef14ae09d78f84bc17c983b66e531f31dc1.png" alt="\alpha=0.5"/> のとき、 <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> と <img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/> 、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> のグラフ}</p>
</div>
<ol class="loweralpha simple" start="2">
<li><img class="math" src="../_images/math/0af71c020b91adf82a3ba589d5bcfb369ece9984.png" alt="\alpha =0.25"/> と <img class="math" src="../_images/math/be4a7a6c1d8e700b424878c5067bad5deae65e8a.png" alt="\alpha = 0.75"/> の場合を考えて、 <img class="math" src="../_images/math/ecec257c518c82d9e3305938b7a79b0e80ba24c0.png" alt="n=8,64,256,512"/> について、 <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/> を求めよ。さらに大きい <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> についての <img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>  の <img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/> に対する両対数プロットから <img class="math" src="../_images/math/d67fb61cfffca2cc069e083d76cb6220b4ca14c8.png" alt="\nu"/> の値を求めよ。 <img class="math" src="../_images/math/d67fb61cfffca2cc069e083d76cb6220b4ca14c8.png" alt="\nu"/> は <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> に依存するか。 <img class="math" src="../_images/math/7f9431d7b42ee8c3c0dbe1ed2d40d3e198c708af.png" alt="\nu \simeq 1/2"/> なら、 <img class="math" src="../_images/math/0af71c020b91adf82a3ba589d5bcfb369ece9984.png" alt="\alpha =0.25"/> と <img class="math" src="../_images/math/861fff1b38bab768baf0a01f3c57f6e210a8ce9e.png" alt="0.75"/> について自己拡散係数Dを求めよ。 <img class="math" src="../_images/math/cde0a97fcd597deb56b68ced9d4f4c4af9da098d.png" alt="D(\alpha \neq 0.5)"/> が <img class="math" src="../_images/math/2be043adccd07ccacab04d620d281198906f5dee.png" alt="D(\alpha = 0.5)"/> より大きくなる(または小さくなる)物理的理由を述べよ。</li>
<li>継続型ランダムウォークは、状態が直前の遷移によって定義される多重状態のランダムウォークの一例とみなすことができる。上の例では、粒子は2つの状態のうちのどちらか一方にいて、各ステップについて同じ状態にとどまる確率と遷移する確率は、それぞれ <img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/> と <img class="math" src="../_images/math/de6153ef1dccee84904f1dbac1e439589f70d375.png" alt="1-\alpha"/> である。この2状態ランダムウォークの最も初期の適用例の1つにクロマトグラフィー柱の拡散の問題がある。クロマトグラフィー柱の中の分子は運動状態(一定速度 <img class="math" src="../_images/math/0e22076955898e6c9bb38aa079135195c24dc81e.png" alt="v"/> )か、捕らえられた状態(速度0)のどちらかにあるとする。この場合、各ステップで位置を <img class="math" src="../_images/math/5afef8883a1e1142173e76df8d16e764b2779782.png" alt="\pm 1"/> 変化させる代わりに、各ステップで位置を <img class="math" src="../_images/math/2902a4739e09709096f06c669828f491ed0007b1.png" alt="+v"/> か0だけ変化させる。実験的に興味のある量は、分子がNステップの後に距離xだけ移動する確率 <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> である。 <img class="math" src="../_images/math/6b93964bcde101c3d8f4a4a080b5fc6902861690.png" alt="v = 1, \alpha = 0.75"/> として、 <img class="math" src="../_images/math/6ea434b0e3279bdff3274bc657833ccc03e2bb1a.png" alt="P(x,N)"/> の定性的な振る舞いを調べよ。分子はどちらの状態にも拡散することができないのに、分子の有効拡散係数は定義できる理由を説明せよ。</li>
<li>継続型ランダムウォークでは、 <img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/> の値が0にならないと予想したかもしれない。実際には <img class="math" src="../_images/math/fea88418767a5f3121d6008674898947a891570d.png" alt="&lt;x(N)&gt;=0"/> となることを確かめよ。また、それが正確に成り立つ理由を説明せよ。継続型ランダムウォークは、 <img class="math" src="../_images/math/240c058a4645455e87dcf74421cef367b4168218.png" alt="p\neq q"/> として向きに偏りを持たせたランダムウォークとどう異なるか。</li>
</ol>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="program.html"
                        title="previous chapter">2. 作成したプログラム</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="conclusion.html"
                        title="next chapter">4. まとめ</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/12-4_history-dependent_rw/experiment.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             >next</a> |</li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             >previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="12-4.html" >計算機実習 問題12-4 継続型ランダムウォーク</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>